MyEclipse Forums
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
support-denis
Post subject:   PostPosted: Mar 06, 2012 - 09:30 PM
Registered Member
Registered Member


Joined: Sep 26, 2011
Posts: 30

hahagal,

Sorry for delay. It does not look like I can reproduce the issue you're facing.
Is there any chance to get a test case?

What I need is a (sample) project that gets ejb-jar.xml corrupted after running XDoclet.
It could be either your real project or just a sample RAD project with a single bean definition, you port to ME, enhance, and configure XDoclet for (please export the project before running XDoclet and make sure that running XDoclet does actually corrupt the ejb-jar.xml afterwards, so when I import the exported project and run XDoclet on my side I have the issue reproduced). You can send it to me via forum PM or mail to support@myeclipseide.com with "ATTN Brian" in a subject.

Note: enhancing RAD project to work with ME should not require you to modify JRE manually. If you haven't got it configured automatically, it would be very useful to get an original RAD project too so I can check if enhancement behavior is somehow incorrect.

Best regards,
Denis.
 
 View user's profile Send private message  
Reply with quote Back to top
hahagal
Post subject:   PostPosted: Mar 07, 2012 - 02:00 AM



Joined: Apr 22, 2011
Posts: 97

Hi denis,

Just sent a PM to you.
Regarding modifying the JRE manually, before I enhance the EAR project, I did not add the WebSphere 6.1 JDK to Window > Preferences > Java > Installed JREs and set it to default. Hence I think during the enhancement, it pick up the default JRE in the workspace, which is the Sun JDK.
 
 View user's profile Send private message  
Reply with quote Back to top
hahagal
Post subject:   PostPosted: Mar 07, 2012 - 06:18 AM



Joined: Apr 22, 2011
Posts: 97

Hi,

We are using EJB2.1. We are considering to move to EJB3.0. Can EJB2.1 sit together with EJB3.0? How should we go about migrating the EJB to 3.0?
 
 View user's profile Send private message  
Reply with quote Back to top
support-denis
Post subject:   PostPosted: Mar 07, 2012 - 11:33 PM
Registered Member
Registered Member


Joined: Sep 26, 2011
Posts: 30

hahagal,

I reproduced the issue you are having.
Consider using one of the following workarounds:

1) You can remove "deploymentdescriptor" subtask from your XDoclet configuration. This will make XDoclet to ingore ejb-jar.xml. The drawback is that you will have to handle ejb-jar.xml yourself.

2) Move your existing beans to XDoclet.

3) Create a separate EJB project for your new beans. This will also grant you an ability to freely use either xdoclet or 3.0 beans.

I'd recommend the 3-rd way.

>>Can EJB2.1 sit together with EJB3.0?
You should not have 2.1 and 3.0 beans in the same EJB project, but you can have 2.1 and 3.0 EJB projects in the same EAR.

Best regards,
Denis.
 
 View user's profile Send private message  
Reply with quote Back to top
hahagal
Post subject:   PostPosted: Mar 08, 2012 - 02:02 AM



Joined: Apr 22, 2011
Posts: 97

denis,

As my EAR project is J2EE1.4. When I tried to create new EJB project, there is no EJB3.0 with J2EE1.4. Does that means I can't use EJB3.0 with J2EE1.4? Or do I have to upgrade my EAR to J2EE1.5(JavaEE5.0)?
 
 View user's profile Send private message  
Reply with quote Back to top
support-denis
Post subject:   PostPosted: Mar 09, 2012 - 05:32 AM
Registered Member
Registered Member


Joined: Sep 26, 2011
Posts: 30

hahagal,

Yes, you can not use EJB 3.0 with 1.4 EAR, you need to upgrade your EAR to 5.0.
You can use 2.1 beans with EAR 5.0.

Best regards,
Denis.
 
 View user's profile Send private message  
Reply with quote Back to top
hahagal
Post subject:   PostPosted: Mar 09, 2012 - 06:28 AM



Joined: Apr 22, 2011
Posts: 97

denis,

How can we go about upgrading the enhanced project to 5.0?
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 6 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by PNphpBB2 © 2003-2004 The PNphpBB Group
Credits